<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Class: LoginController</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <meta http-equiv="Content-Script-Type" content="text/javascript" />
  <link rel="stylesheet" href=".././rdoc-style.css" type="text/css" media="screen" />
  <script type="text/javascript">
  // <![CDATA[

  function popupCode( url ) {
    window.open(url, "Code", "resizable=yes,scrollbars=yes,toolbar=no,status=no,height=150,width=400")
  }

  function toggleCode( id ) {
    if ( document.getElementById )
      elem = document.getElementById( id );
    else if ( document.all )
      elem = eval( "document.all." + id );
    else
      return false;

    elemStyle = elem.style;
    
    if ( elemStyle.display != "block" ) {
      elemStyle.display = "block"
    } else {
      elemStyle.display = "none"
    }

    return true;
  }
  
  // Make codeblocks hidden by default
  document.writeln( "<style type=\"text/css\">div.method-source-code { display: none }</style>" )
  
  // ]]>
  </script>

</head>
<body>



    <div id="classHeader">
        <table class="header-table">
        <tr class="top-aligned-row">
          <td><strong>Class</strong></td>
          <td class="class-name-in-header">LoginController</td>
        </tr>
        <tr class="top-aligned-row">
            <td><strong>In:</strong></td>
            <td>
                <a href="../files/app/controllers/login_controller_rb.html">
                app/controllers/login_controller.rb
                </a>
        <br />
            </td>
        </tr>

        <tr class="top-aligned-row">
            <td><strong>Parent:</strong></td>
            <td>
                <a href="ApplicationController.html">
                ApplicationController
               </a>
            </td>
        </tr>
        </table>
    </div>
  <!-- banner header -->

  <div id="bodyContent">



  <div id="contextContent">



   </div>

    <div id="method-list">
      <h3 class="section-bar">Methods</h3>

      <div class="name-list">
      <a href="#M000076">add_user</a>&nbsp;&nbsp;
      <a href="#M000079">delete_user</a>&nbsp;&nbsp;
      <a href="#M000080">list_users</a>&nbsp;&nbsp;
      <a href="#M000077">login</a>&nbsp;&nbsp;
      <a href="#M000078">logout</a>&nbsp;&nbsp;
      </div>
    </div>

  </div>


    <!-- if includes -->

    <div id="section">





      


    <!-- if method_list -->
    <div id="methods">
      <h3 class="section-bar">Public Instance methods</h3>

      <div id="method-M000076" class="method-detail">
        <a name="M000076"></a>

        <div class="method-heading">
          <a href="#M000076" class="method-signature">
          <span class="method-name">add_user</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000076-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000076-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/login_controller.rb, line 4</span>
 4:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">add_user</span>
 5:     <span class="ruby-ivar">@user</span> = <span class="ruby-constant">User</span>.<span class="ruby-identifier">new</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:user</span>]) 
 6:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">request</span>.<span class="ruby-identifier">post?</span> <span class="ruby-keyword kw">and</span> <span class="ruby-ivar">@user</span>.<span class="ruby-identifier">save</span> 
 7:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">||=</span> []
 8:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-node">&quot;User #{@user.name} created&quot;</span> 
 9:       <span class="ruby-ivar">@user</span> = <span class="ruby-constant">User</span>.<span class="ruby-identifier">new</span>       
10:     <span class="ruby-keyword kw">end</span>
11:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000079" class="method-detail">
        <a name="M000079"></a>

        <div class="method-heading">
          <a href="#M000079" class="method-signature">
          <span class="method-name">delete_user</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000079-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000079-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/login_controller.rb, line 35</span>
35:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">delete_user</span> 
36:     <span class="ruby-identifier">id</span> = <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:id</span>] 
37:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">id</span> <span class="ruby-operator">&amp;&amp;</span> <span class="ruby-identifier">user</span> = <span class="ruby-constant">User</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">id</span>) 
38:       <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">||=</span> []
39:       <span class="ruby-keyword kw">begin</span> 
40:         <span class="ruby-identifier">user</span>.<span class="ruby-identifier">safe_delete</span> 
41:         <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-node">&quot;User #{user.name} deleted&quot;</span> 
42:       <span class="ruby-keyword kw">rescue</span> <span class="ruby-constant">Exception</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">e</span> 
43:         <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-identifier">e</span>.<span class="ruby-identifier">message</span> 
44:       <span class="ruby-keyword kw">end</span> 
45:     <span class="ruby-keyword kw">end</span> 
46:     <span class="ruby-identifier">redirect_to</span>(<span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-identifier">:list_users</span>) 
47:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000080" class="method-detail">
        <a name="M000080"></a>

        <div class="method-heading">
          <a href="#M000080" class="method-signature">
          <span class="method-name">list_users</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000080-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000080-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/login_controller.rb, line 49</span>
49:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">list_users</span> 
50:     <span class="ruby-ivar">@all_users</span> = <span class="ruby-constant">User</span>.<span class="ruby-identifier">find</span>(<span class="ruby-identifier">:all</span>) 
51:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000077" class="method-detail">
        <a name="M000077"></a>

        <div class="method-heading">
          <a href="#M000077" class="method-signature">
          <span class="method-name">login</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000077-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000077-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/login_controller.rb, line 13</span>
13:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">login</span> 
14:     <span class="ruby-identifier">session</span>[<span class="ruby-identifier">:user_id</span>] = <span class="ruby-keyword kw">nil</span> 
15:     <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">request</span>.<span class="ruby-identifier">post?</span> 
16:       <span class="ruby-identifier">user</span> = <span class="ruby-constant">User</span>.<span class="ruby-identifier">authenticate</span>(<span class="ruby-identifier">params</span>[<span class="ruby-identifier">:name</span>], <span class="ruby-identifier">params</span>[<span class="ruby-identifier">:password</span>]) 
17:     
18:       <span class="ruby-keyword kw">if</span> <span class="ruby-identifier">user</span> 
19:         <span class="ruby-identifier">session</span>[<span class="ruby-identifier">:user_id</span>] = <span class="ruby-identifier">user</span>.<span class="ruby-identifier">id</span> 
20:         <span class="ruby-identifier">redirect_to</span>(<span class="ruby-identifier">:controller</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;cytoskeleton&quot;</span>) 
21:       <span class="ruby-keyword kw">else</span> 
22:         <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">||=</span> []
23:         <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-value str">&quot;Invalid user/password combination&quot;</span> 
24:       <span class="ruby-keyword kw">end</span> 
25:     <span class="ruby-keyword kw">end</span>     
26:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>

      <div id="method-M000078" class="method-detail">
        <a name="M000078"></a>

        <div class="method-heading">
          <a href="#M000078" class="method-signature">
          <span class="method-name">logout</span><span class="method-args">()</span>
          </a>
        </div>
      
        <div class="method-description">
          <p><a class="source-toggle" href="#"
            onclick="toggleCode('M000078-source');return false;">[Source]</a></p>
          <div class="method-source-code" id="M000078-source">
<pre>
    <span class="ruby-comment cmt"># File app/controllers/login_controller.rb, line 28</span>
28:   <span class="ruby-keyword kw">def</span> <span class="ruby-identifier">logout</span>
29:     <span class="ruby-identifier">session</span>[<span class="ruby-identifier">:user_id</span>] = <span class="ruby-keyword kw">nil</span> 
30:     <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">||=</span> []
31:     <span class="ruby-identifier">flash</span>[<span class="ruby-identifier">:notices</span>] <span class="ruby-operator">&lt;&lt;</span> <span class="ruby-value str">&quot;Logged out&quot;</span> 
32:     <span class="ruby-identifier">redirect_to</span>(<span class="ruby-identifier">:action</span> =<span class="ruby-operator">&gt;</span> <span class="ruby-value str">&quot;login&quot;</span>)
33:   <span class="ruby-keyword kw">end</span>
</pre>
          </div>
        </div>
      </div>


    </div>


  </div>


<div id="validator-badges">
  <p><small><a href="http://validator.w3.org/check/referer">[Validate]</a></small></p>
</div>

</body>
</html>